4S-ADMIN(8J)

NAME
4s-boss - administration and store discovery daemon for 4store

SYNOPSIS
4s-boss [-D | --no-daemonize] [-p port | --port port]
4s-boss [--help] [--version]

DESCRIPTION
4s-boss can be run on 4store storage nodes to provide a store discovery mechanism for a 4store cluster (as an alternative to Avahi/DNS-SD).

It also provides a backend to enable store admin operations to be performed through the the 4s-admin(1) utility.

It should be started on all storage nodes of a cluster, and will run as a daemon listening on port 6733 by default.

Error and informational output is sent to /var/log/syslog when run as a daemon, and to stderr when run in the foreground.

  Command line options

-D, --no-daemonize
    Do not daemonize, send output to stdout/stderr instead of syslog.

-p port, --port port
    Port number to listen on.

  Configuration file options

port = <port_number>
    Port number to listen on.

Options for 4s-boss in /etc/4store.conf should all be within the [4s-boss] section, or will be ignored.

Other options in the [4s-boss] section of the configuration file are used to set the nodes of a cluster, and to set how 4s-boss is used for store discovery. See 4store.conf(5) for details.

FILES

/etc/4store.conf

EXIT STATUS

EXAMPLES
Start 4s-boss in the foreground on port 9000

    $ 4s-boss --no-daemonize --port 9000

Start 4s-boss as a daemon on the default port (6733)

    $ 4s-boss

SEE ALSO
4s-admin(1), 4store.conf(5)

AUTHORS
Dave Challis <suicas@gmail.com>.

SECURITY CONSIDERATIONS
4s-boss should never be run as root. It should be started as any user that has read access to /var/lib/4store, and ideally the same user that would run any 4s-backend processes.

The port 4s-boss runs on should only be accessible from trusted hosts, and appropriate firewall restrictions put in place. This is to prevent untrusted users/hosts from sending store deletion/stop/start requests .